<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CurtainReorder extends Model
{
    protected $guarded = [];

    protected $casts = [
        'reordered_at' => 'datetime',
        'resolved_at' => 'datetime',
    ];

    public function curtain()
    {
        return $this->belongsTo(Curtain::class);
    }

    public function reorderedBy()
    {
        return $this->belongsTo(User::class, 'reordered_by');
    }
}
